#5 Cannot configure postfix

0.85
closed
Jamie Cameron
5
2001-04-14
2001-04-08
No

Under webmin .84 and .85 I cannot configure postfix-
19990601 on a Mandrake system.

If I attempt to enter any of the postfix configuration
areas, I get this error: /usr/sbin/postconf: invalid
option.

For example, if I go to Postfix Configuration->General
Options I get

"Failed to query Postfix config command to get the
current value of parameter
myorigin: /usr/sbin/postconf: invalid option --
c /usr/sbin/postconf: fatal: usage: /usr/sbin/postconf
[-d (defaults)] [-h (no names)] [-n (non-defaults)] [-
v] name..."

Discussion

  • Jamie Cameron
    Jamie Cameron
    2001-04-09

    Logged In: YES
    user_id=129364

    Are you using the version of webmin that comes with mandrake
    linux?
    If so, I suggest getting version 0.85 from www.webmin.com ,
    which should
    fix this problem ..

     
  • Logged In: YES
    user_id=186635

    Yes, I am using the 0.85 version of webmin from the Webmin
    website.

     
  • Jamie Cameron
    Jamie Cameron
    2001-04-10

    Logged In: YES
    user_id=129364

    Could you tell me which version of postfix you are using?
    Also, what does the command postconf -h output on your
    system?

     
  • Logged In: YES
    user_id=186635

    Sure:

    1. Version: postfix- 19990601

    2. postconf -h (minus network ID):

    postmaster
    554
    hash:/etc/postfix/aliases
    hash:/etc/postfix/aliases
    alias,forward
    alias,forward
    yes

    yes
    yes

    yes
    postmaster
    50000

    /usr/sbin
    1234567890!@%-
    _=+:,./abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ
    1000
    /usr/lib/postfix
    18000
    2

    hash
    10
    50
    nobody
    50
    smtp

    postmaster
    0
    5
    1
    no
    0
    double-bounce
    1000
    MAILER-DAEMON
    postmaster

    5
    1
    $home/.forward${recipient_delimiter}
    ${extension},$home/.forward
    2
    defer

    102400

    50
    no
    all
    5
    501
    100
    3600
    2048

    2
    $default_destination_recipient_limit

    Postfix
    postfix
    /var/spool/mail
    Beta-19990601
    /usr/bin/procmail

    rbl.maps.vix.com
    554

    100
    100
    4000
    5
    10240000
    1000
    $myhostname, localhost.$mydomain
    mymachine.mydomain.us
    mymachine.mydomain.us
    127.0.0.0/8 XXX.XXX.XXX.XXX/24
    $myhostname
    504
    resource,software
    yes
    pid
    /usr/libexec/postfix
    canonical, virtual
    1000
    10000
    /var/spool/postfix
    0
    1000

    554
    $mydestination, $virtual_maps
    554

    60
    0
    600
    120
    180
    $default_destination_concurrency_limit
    $default_destination_recipient_limit
    300
    300
    300
    300
    no
    yes
    $myhostname ESMTP $mail_name ($mail_version)

    yes
    5

    100
    no

    1000
    permit_mynetworks,check_relay_domains

    10
    300
    no
    500
    no
    yes

    60
    10
    450
    450
    450

     
  • Jamie Cameron
    Jamie Cameron
    2001-04-14

    Logged In: YES
    user_id=129364

    I have conferred with the author of the postfix webmin
    module, and the
    problem is that your version of postfix is too old. Only
    versions 19991231
    and later are supported, as found in Mandrake Linux 7.0 and
    7.1

     
  • Jamie Cameron
    Jamie Cameron
    2001-04-14

    • status: open --> closed